/*
 * XXXX 
 *
 * Fecha 14/05/2007
 * 
 *  
 */
 
package com.ejie.p06b.servlet.comun;

import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ejie.p06b.general.P06BConstantes;
import com.ejie.p06b.manager.P06BGeneralManager;
import com.ejie.p06b.servlet.P06BServletGenerico;


/**
 *  Esta clase gestiona las peticiones HTTP de la aplicación.
 */
public class P06BFCAServlet extends P06BServletGenerico 
{

	//Cambia de idioma en la sesión -> Perfil
	public void ejecutar(HttpServletRequest request, HttpServletResponse response) {
		try {
			//TODO tendré que recalcular las combos provincia, municipio, localidad
			ArrayList listaProvincias = P06BGeneralManager.getInstance().obtenerProvincias(this.getIdioma(request,response));
			request.setAttribute("listaProvincias",listaProvincias);
			if(request.getParameter("CodPro")!=null
					&& !request.getParameter("CodPro").equals("")){
				ArrayList listaMunicipios = P06BGeneralManager.getInstance().obtenerMunicipios(Integer.parseInt(request.getParameter("CodPro")));
				request.setAttribute("listaMunicipios",listaMunicipios);
				if(request.getParameter("CodMun")!=null
						&& !request.getParameter("CodMun").equals("")){
					ArrayList listaLocalidades = P06BGeneralManager.getInstance().obtenerLocalidades(
							Integer.parseInt(request.getParameter("CodPro")),Integer.parseInt(request.getParameter("CodMun")));
					request.setAttribute("listaLocalidades",listaLocalidades);
					if(request.getParameter("CodLoc")!=null
							&& !request.getParameter("CodLoc").equals("")){
						ArrayList listaCP = P06BGeneralManager.getInstance().obtenerCodPostales(
								Integer.parseInt(request.getParameter("CodPro")),
								Integer.parseInt(request.getParameter("CodMun")),
								Integer.parseInt(request.getParameter("CodLoc")));
						request.setAttribute("listaCP",listaCP);
					}
				}
			}
			//Redireccionamos a la página de Mto Corredor
			forward (request, response, request.getParameter("jspRetornoFCAs"));
		}catch (Exception e){
	      	manejarErrores (request, response, e);
	        return;
	    }
	}
}